Problem mit apt-get install subversion unter Knoppix

Alles rund um die Installation Eures Linuxsystems, sowie die Updatefunktionen des Systems und das Paketmanagement

Moderator: Moderatoren

Antworten
ObScUrItAs
Newbie
Newbie
Beiträge: 9
Registriert: 8. Jun 2006, 15:01

Problem mit apt-get install subversion unter Knoppix

Beitrag von ObScUrItAs » 13. Jun 2006, 14:13

Und mal wieder ein Problem mit Knoppix ...

ich versuche subversion zu installieren mit

Code: Alles auswählen

apt-get install subversion
Dann sagt er mir erstmal:

Code: Alles auswählen

Paketlisten werden gelesen ... Fertig
Abhängigkeitsbaum wird aufgebaut ... Fertig
Paket subversion ist nicht verfügbar, wird aber von einem anderen Paket referenziert. Das kann heißen, dass das Paket fehlt, dass es veraltet ist oder nur aus einer anderen Quelle verfügbar ist.
E: Paket subversion hat keinen Installationskandidaten
Ich hab noch die Standard scource list und mit der sollte es ja eigentlich schon funktionieren... Verbindung zum Internet hab ich auch...

Dann hab ich ein paar neue DownloadServer zur scource.list hinzugefügt, ohne Erfolg...

Anschließend habe ich dann das Paket manuell heruntergeladen, mit 3 anderen abhängigen Paketen und dann mit

Code: Alles auswählen

dpkg-scanpackages /home/knoppix/Desktop/lol /dev/null | gzip > /home/knoppix/Desktop/lol/Packages.gz
ein Paket erstellt, um manuell mit apt-get zu installieren.

Nach diesem Befehl wird mir das hier angezeigt :

Code: Alles auswählen

home/knoppix/Desktop/lol/Packages.gz
 ** Packages in archive but missing from override file: **
db4.2-util libneon24 libsvn0 subversion

Wrote 4 entries to output Packages file.
Als nächstes hab ich dann in die scource.list eingetragen :

Code: Alles auswählen

deb file:/home/knoppix/Desktop/lol ./
anschließend hab ich dann mit apt-get update das ganze upgedatet...

wenn ich nun

Code: Alles auswählen

apt-get install subversion 
eingebe, dann liest er die Packages.gz aus und erkennt alle Abhängigkeiten korrekt...

Wenn er dann allerdings die Pakete installieren will, zeigt er folgendes an :

Code: Alles auswählen

Konnte file:/home/knoppix/Desktop/lol//home/knoppix/Desktop/lol/db4.2util_4.2.52-18_i386.deb nicht holen
Konnte file:/home/knoppix/Desktop/lol//home/knoppix/Desktop/lol/libneon24_0.24.7.dfsg-2_i386.deb nicht holen
Konnte file:/home/knoppix/Desktop/lol//home/knoppix/Desktop/lol/libsvn0_1.1.4-2_i386.deb
 nicht holen
Konnte file:/home/knoppix/Desktop/lol//home/knoppix/Desktop/lol/subversion_1.1.4-2_i386.deb nicht holen


Ist ja auch vollkommen klar ... er hat den Weg zu den Paketen doppelt da stehen. An dieser Stelle sind die Pakete ja auch nicht ... sondern eben nur an /home/knoppix/Desktop/lol/ und nicht an /home/knoppix/Desktop/lol//home/knoppix/Desktop/lol/

Wieso macht er das doppelt und wie krieg ich es weg ?
Und wieso muss ich es überhaupt so umständlich machen ? Eigentlich sollte er das ganze Zeug doch einfach aus den Internet ziehen, wenn ich eingebe apt-get install subversion ... wieso macht er das nicht ?

Werbung:
OldKid
Hacker
Hacker
Beiträge: 448
Registriert: 2. Aug 2004, 19:37
Wohnort: Sauerland
Kontaktdaten:

Beitrag von OldKid » 15. Jun 2006, 08:41

hallo

wenn du die nötigen Pakete schon auf deinem Rechner hast dann installier sie doch mittels dpkg

als root über die Konsole mit

Code: Alles auswählen

dpkg -i /home/knoppix/Desktop/lol/<Paketname>.deb
mfg

Oldkid
“Regression testing? What's that? If it compiles, it is good, if it boots up it is perfect.”Linus Torvalds
AMD64 X2 4200+ - 4GB RAM - 1,2 TB Disk - GeForce 8400 GS - 2.6.38-ck
Creative Commons Lizenz

Antworten

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 4 Gäste